package intrinsic.mx.events;

public class ItemClickEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.display.InteractiveObject relatedObject;
	public Object item;
	public int index;
	public String label;

	/** Constants */
	public static final String VERSION = "version";
	public static final String ITEM_CLICK = "item_click";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ItemClickEvent() {
}

public ItemClickEvent(String arg0) {
}

public ItemClickEvent(String arg0, boolean arg1) {
}

public ItemClickEvent(String arg0, boolean arg1, boolean arg2) {
}

public ItemClickEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public ItemClickEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4) {
}

public ItemClickEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4, intrinsic.flash.display.InteractiveObject arg5) {
}

public ItemClickEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4, intrinsic.flash.display.InteractiveObject arg5, Object arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
